package com.xynet.marketing.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xynet.marketing.entity.MemberCoupon;
import com.xynet.marketing.mapper.MemberCouponMapper;
import com.xynet.marketing.service.MemberCouponService;
import com.xynet.marketing.service.MercProjectDeviceService;
import com.xynet.marketing.service.MercProjectGoodsService;
import com.xynet.marketing.utils.Emptys;
import com.xynet.marketing.utils.collections.map.JMap;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 会员优惠券服务-实现类
 *
 * @author hechunping
 * @date 2025/2/17
 */
@Service
@Slf4j
@AllArgsConstructor
public class MemberCouponServiceImpl extends ServiceImpl<MemberCouponMapper, MemberCoupon> implements MemberCouponService {

    private MercProjectGoodsService goodsService;

    private MercProjectDeviceService deviceService;

    @Override
    public Page<Map<String, Object>> page(JMap<String, Object> param) {
        return null;
    }

    @Override
    public Map<String, Object> obj(JMap<String, Object> param) {
        return null;
    }

    @Override
    public List<Map<String, Object>> list(JMap<String, Object> param) {
        List<MemberCoupon> list = list();
        list.add(new MemberCoupon());
        return null;
    }

    @Override
    public Integer saveOrUpdate(JMap<String, Object> param) {
        MemberCoupon save = BeanUtil.copyProperties(param, MemberCoupon.class);
        if (Emptys.check(save.getId())) {
            updateById(save);
        } else {
            save(save);
        }
        return save.getId();
    }
}
